org.apache.activemq.artemis.reader

## Class BytesMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.BytesMessageUtil

-     public class BytesMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CORRELATIONID_HEADER_NAME, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, JMSXGROUPSEQ, JMSXUSERID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesMessageUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bytesMessageReset(ActiveMQBuffer message)`
    `static boolean` | `bytesReadBoolean(ActiveMQBuffer message)`
    `static byte` | `bytesReadByte(ActiveMQBuffer message)`
    `static int` | `bytesReadBytes(ActiveMQBuffer message, byte[] value)`
    `static int` | `bytesReadBytes(ActiveMQBuffer message, byte[] value, int length)`
    `static char` | `bytesReadChar(ActiveMQBuffer message)`
    `static double` | `bytesReadDouble(ActiveMQBuffer message)`
    `static float` | `bytesReadFloat(ActiveMQBuffer message)`
    `static int` | `bytesReadInt(ActiveMQBuffer message)`
    `static long` | `bytesReadLong(ActiveMQBuffer message)`
    `static short` | `bytesReadShort(ActiveMQBuffer message)`
    `static int` | `bytesReadUnsignedByte(ActiveMQBuffer message)`
    `static int` | `bytesReadUnsignedShort(ActiveMQBuffer message)`
    `static String` | `bytesReadUTF(ActiveMQBuffer message)`
    `static void` | `bytesWriteBoolean(ActiveMQBuffer message, boolean value)`
    `static void` | `bytesWriteByte(ActiveMQBuffer message, byte value)`
    `static void` | `bytesWriteBytes(ActiveMQBuffer message, byte[] value)`
    `static void` | `bytesWriteBytes(ActiveMQBuffer message, byte[] value, int offset, int length)`
    `static void` | `bytesWriteChar(ActiveMQBuffer message, char value)`
    `static void` | `bytesWriteDouble(ActiveMQBuffer message, double value)`
    `static void` | `bytesWriteFloat(ActiveMQBuffer message, float value)`
    `static void` | `bytesWriteInt(ActiveMQBuffer message, int value)`
    `static void` | `bytesWriteLong(ActiveMQBuffer message, long value)`
    `static boolean` | `bytesWriteObject(ActiveMQBuffer message, Object value)` Returns true if it could send the Object to any known format
    `static void` | `bytesWriteShort(ActiveMQBuffer message, short value)`
    `static void` | `bytesWriteUTF(ActiveMQBuffer message, String value)`

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getStringProperty, propertyExists, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSReplyTo, setJMSType, setLongProperty, setObjectProperty, setStringProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesMessageUtil

          public BytesMessageUtil()

  - ### Method Detail

    - #### bytesReadBoolean

          public static boolean bytesReadBoolean(ActiveMQBuffer message)

    - #### bytesReadByte

          public static byte bytesReadByte(ActiveMQBuffer message)

    - #### bytesReadUnsignedByte

          public static int bytesReadUnsignedByte(ActiveMQBuffer message)

    - #### bytesReadShort

          public static short bytesReadShort(ActiveMQBuffer message)

    - #### bytesReadUnsignedShort

          public static int bytesReadUnsignedShort(ActiveMQBuffer message)

    - #### bytesReadChar

          public static char bytesReadChar(ActiveMQBuffer message)

    - #### bytesReadInt

          public static int bytesReadInt(ActiveMQBuffer message)

    - #### bytesReadLong

          public static long bytesReadLong(ActiveMQBuffer message)

    - #### bytesReadFloat

          public static float bytesReadFloat(ActiveMQBuffer message)

    - #### bytesReadDouble

          public static double bytesReadDouble(ActiveMQBuffer message)

    - #### bytesReadUTF

          public static String bytesReadUTF(ActiveMQBuffer message)

    - #### bytesReadBytes

          public static int bytesReadBytes(ActiveMQBuffer message,
                                           byte[] value)

    - #### bytesReadBytes

          public static int bytesReadBytes(ActiveMQBuffer message,
                                           byte[] value,
                                           int length)

    - #### bytesWriteBoolean

          public static void bytesWriteBoolean(ActiveMQBuffer message,
                                               boolean value)

    - #### bytesWriteByte

          public static void bytesWriteByte(ActiveMQBuffer message,
                                            byte value)

    - #### bytesWriteShort

          public static void bytesWriteShort(ActiveMQBuffer message,
                                             short value)

    - #### bytesWriteChar

          public static void bytesWriteChar(ActiveMQBuffer message,
                                            char value)

    - #### bytesWriteInt

          public static void bytesWriteInt(ActiveMQBuffer message,
                                           int value)

    - #### bytesWriteLong

          public static void bytesWriteLong(ActiveMQBuffer message,
                                            long value)

    - #### bytesWriteFloat

          public static void bytesWriteFloat(ActiveMQBuffer message,
                                             float value)

    - #### bytesWriteDouble

          public static void bytesWriteDouble(ActiveMQBuffer message,
                                              double value)

    - #### bytesWriteUTF

          public static void bytesWriteUTF(ActiveMQBuffer message,
                                           String value)

    - #### bytesWriteBytes

          public static void bytesWriteBytes(ActiveMQBuffer message,
                                             byte[] value)

    - #### bytesWriteBytes

          public static void bytesWriteBytes(ActiveMQBuffer message,
                                             byte[] value,
                                             int offset,
                                             int length)

    - #### bytesWriteObject

          public static boolean bytesWriteObject(ActiveMQBuffer message,
                                                 Object value)

      Returns true if it could send the Object to any known format
      Parameters:
        `message` -
        `value` -
      Returns:

    - #### bytesMessageReset

          public static void bytesMessageReset(ActiveMQBuffer message)

Copyright © 2020 The Apache Software Foundation. All rights reserved.